Package com.sas.lsaf.workflow.element

## Class CompletedEvent

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.CompletedElement
    - - com.sas.lsaf.workflow.element.CompletedEvent

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`
  Direct Known Subclasses:
    `CompletedEventGateway`, `CompletedSignalEvent`

      public class CompletedEvent
      extends CompletedElement

  The class that represents a completed event in a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `CompletedElement.TaskCompletedState`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompletedEvent​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String processFlowId, java.lang.String name, java.lang.String description, Element.ElementType type, java.util.Date created, java.lang.String completedBy, java.util.Date completed, CompletedElement.TaskCompletedState completedState)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    - ### Methods inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `getCompleted, getCompletedBy, getCompletedState, getCreated, getDescription, getElementId, getName, getProcessFlowId, getType, toString`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `equals, getId, getTypeId, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompletedEvent

          public CompletedEvent​(java.lang.String typeId,
                                java.lang.String id,
                                java.lang.String elementId,
                                java.lang.String processFlowId,
                                java.lang.String name,
                                java.lang.String description,
                                Element.ElementType type,
                                java.util.Date created,
                                java.lang.String completedBy,
                                java.util.Date completed,
                                CompletedElement.TaskCompletedState completedState)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the completed events returned by the API.
      Parameters:
        `typeId` - The object type identifier of the event.
        `id` - The unique identifier of the event.
        `elementId` - The identifier of the event as it appears in the process flow definition.
        `processFlowId` - The identifier of the process flow that contains the element.
        `name` - The name of the event.
        `description` - The description of the event.
        `type` - The type of the event.
        `created` - The date on which the event was created.
        `completedBy` - The user who completed the event.
        `completed` - The date on which the event was completed.
        `completedState` - The completed state of the element